import axios from 'axios';
import {
  SchoolListPageParam,
  SchoolListPageRes,
  SchoolUpdateParam,
  SchoolUpdateAdminParam,
} from './types/admin';

// 学校管理
// 学校管理列表
export function schoolListPage(
  params: SchoolListPageParam
): Promise<SchoolListPageRes> {
  return axios.post('/api/admin/school/page', params);
}
// 学校信息编辑
export function updateSchool(
  datas: SchoolUpdateParam
): Promise<{ id: number }> {
  return axios.post('/api/admin/school/save', datas);
}
// 学校管理员信息编辑
export function updateSchoolAdmin(
  datas: SchoolUpdateAdminParam
): Promise<{ id: number }> {
  return axios.post('/api/admin/school/save', datas);
}
