import { PageResult, PageParams } from './common';

export interface SchoolItem {
  id: number;
  name: string;
  code: string;
  subOrgCode: string;
  enableDoubleTrack: boolean;
  deleteGroupAuthCode: boolean;
  province: string;
  city: string;
  address: string;
  adminLoginName: string;
  adminName: string;
  accessKey: string;
  accessSecret: string;
  description: string;
}
export interface SchoolListFilter {
  name: string;
}
export type SchoolListPageParam = PageParams<SchoolListFilter>;
export type SchoolListPageRes = PageResult<SchoolItem>;

export type SchoolUpdateParam = Partial<SchoolItem>;

export interface SchoolUpdateAdminParam {
  id: number;
  adminLoginName: string;
  adminName: string;
  password: string;
}
